The Payment Ledger Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

posting_date string
account_type string
account string
party_type string
party string
voucher_type string
voucher_no string
against_voucher_type string
against_voucher_no string
amount number
account_currency string
amount_in_account_currency number
delinked boolean

Default: false

company string
cost_center string
project string
due_date string
finance_book string
remarks string
voucher_detail_no string
The Payment Ledger Entry object
{
  "id": "payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "account_type": "account_type_example",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "account_currency": "USD",
  "amount_in_account_currency": 0,
  "delinked": false,
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "due_date": "2024-01-15",
  "finance_book": "finance_book_example",
  "remarks": "remarks_example",
  "voucher_detail_no": "voucher_detail_no_example"
}
GET /api/accounts/payment-ledger-entry/{id}

Retrieve a payment ledger entry

Retrieves the details of an existing payment ledger entry. Supply the unique payment ledger entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the payment ledger entry to retrieve.

Returns

Returns the payment ledger entry object if a valid identifier was provided.

GET /api/accounts/payment-ledger-entry/{id}
curl https://api.overplane.dev/api/accounts/payment-ledger-entry/payment-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "account_type": "account_type_example",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "account_currency": "USD",
  "amount_in_account_currency": 0,
  "delinked": false,
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "due_date": "2024-01-15",
  "finance_book": "finance_book_example",
  "remarks": "remarks_example",
  "voucher_detail_no": "voucher_detail_no_example"
}
GET /api/accounts/payment-ledger-entry

List all payment ledger entrys

Returns a list of payment ledger entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of payment ledger entry objects.

GET /api/accounts/payment-ledger-entry
curl https://api.overplane.dev/api/accounts/payment-ledger-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "payment-ledger-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "posting_date": "2024-01-15",
      "account_type": "account_type_example",
      "account": "account_example",
      "party_type": "party_type_example",
      "party": "party_example",
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "against_voucher_type": "against_voucher_type_example",
      "against_voucher_no": "against_voucher_no_example",
      "amount": 0,
      "account_currency": "USD",
      "amount_in_account_currency": 0,
      "delinked": false,
      "company": "Example Corp",
      "cost_center": "cost_center_example",
      "project": "project_example",
      "due_date": "2024-01-15",
      "finance_book": "finance_book_example",
      "remarks": "remarks_example",
      "voucher_detail_no": "voucher_detail_no_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/payment-ledger-entry

Create a payment ledger entry

Creates a new payment ledger entry object.

Body parameters

status string

Default: draft

posting_date string
account_type string
account string
party_type string
party string
voucher_type string
voucher_no string
against_voucher_type string
against_voucher_no string
amount number
account_currency string
amount_in_account_currency number
delinked boolean

Default: false

company string
cost_center string
project string
due_date string
finance_book string
remarks string
voucher_detail_no string

Returns

Returns the newly created payment ledger entry object if the call succeeded.

POST /api/accounts/payment-ledger-entry
curl https://api.overplane.dev/api/accounts/payment-ledger-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "account_type": "account_type_example",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "account_currency": "USD",
  "amount_in_account_currency": 0,
  "delinked": false,
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "due_date": "2024-01-15",
  "finance_book": "finance_book_example",
  "remarks": "remarks_example",
  "voucher_detail_no": "voucher_detail_no_example"
}
PATCH /api/accounts/payment-ledger-entry/{id}

Update a payment ledger entry

Updates the specified payment ledger entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the payment ledger entry to update.

Body parameters

status string

Default: draft

posting_date string
account_type string
account string
party_type string
party string
voucher_type string
voucher_no string
against_voucher_type string
against_voucher_no string
amount number
account_currency string
amount_in_account_currency number
delinked boolean

Default: false

company string
cost_center string
project string
due_date string
finance_book string
remarks string
voucher_detail_no string

Returns

Returns the updated payment ledger entry object.

PATCH /api/accounts/payment-ledger-entry/{id}
curl https://api.overplane.dev/api/accounts/payment-ledger-entry/payment-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","posting_date":"2024-01-15"}'
Response
{
  "id": "payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "account_type": "account_type_example",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "account_currency": "USD",
  "amount_in_account_currency": 0,
  "delinked": false,
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "due_date": "2024-01-15",
  "finance_book": "finance_book_example",
  "remarks": "remarks_example",
  "voucher_detail_no": "voucher_detail_no_example"
}
DELETE /api/accounts/payment-ledger-entry/{id}

Delete a payment ledger entry

Permanently deletes a payment ledger entry. This cannot be undone.

Path parameters

id string required

The identifier of the payment ledger entry to delete.

Returns

Returns a confirmation that the payment ledger entry has been deleted.

DELETE /api/accounts/payment-ledger-entry/{id}
curl https://api.overplane.dev/api/accounts/payment-ledger-entry/payment-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "payment-ledger-entry_abc123",
  "deleted": true
}
POST /api/accounts/payment-ledger-entry/{id}/submit

Submit a payment ledger entry

Submits a draft payment ledger entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the payment ledger entry to act on.

Returns

Returns the payment ledger entry object with updated status.

POST /api/accounts/payment-ledger-entry/{id}/submit
curl https://api.overplane.dev/api/accounts/payment-ledger-entry/payment-ledger-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "account_type": "account_type_example",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "account_currency": "USD",
  "amount_in_account_currency": 0,
  "delinked": false,
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "due_date": "2024-01-15",
  "finance_book": "finance_book_example",
  "remarks": "remarks_example",
  "voucher_detail_no": "voucher_detail_no_example"
}
POST /api/accounts/payment-ledger-entry/{id}/cancel

Cancel a payment ledger entry

Cancels a submitted payment ledger entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the payment ledger entry to act on.

Returns

Returns the payment ledger entry object with updated status.

POST /api/accounts/payment-ledger-entry/{id}/cancel
curl https://api.overplane.dev/api/accounts/payment-ledger-entry/payment-ledger-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "account_type": "account_type_example",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "account_currency": "USD",
  "amount_in_account_currency": 0,
  "delinked": false,
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "due_date": "2024-01-15",
  "finance_book": "finance_book_example",
  "remarks": "remarks_example",
  "voucher_detail_no": "voucher_detail_no_example"
}